﻿using System;
using System.Collections.Generic;
using System.Text;

using Bitmap = System.Drawing.Bitmap;

namespace Mini.Models
{
    public class Page
    {
        private int pageNumber;
        private Bitmap imageRep;
        private int imageHeight;
        private int imageWidth;

        public Page()
        {
            pageNumber = 0;
        }

        public int PageNumber
        {
            get { return pageNumber; }
            set { pageNumber = value; }
        }

        public int Height
        {
            get { return imageHeight; }
            private set { imageHeight = value; }
        }

        public int Width
        {
            get { return imageWidth; }
            private set { imageWidth = value; }
        }

        /// <summary>
        /// Bitmap representation of a page
        /// </summary>
        public Bitmap ImageRep
        {
            get { return imageRep; }
            set { imageRep = value; }
        }

        public void GenerateBitmap(String filePathname)
        {
            this.ImageRep= new Bitmap(filePathname);
            this.Width = this.ImageRep.Width;
            this.Height = this.ImageRep.Height;
        }
    }
}
